import { Link } from 'react-router-dom';
import { IFlight } from '../../../services/Dashboard/CustomerDashboard';
import { airportCode } from '../../../helpers/Airports';
import './FlightCard.scss';

interface IFlightCard {
  flight: IFlight;
  extraInfo?: boolean;
}

function FlightCard({ flight, extraInfo }: IFlightCard) {
  return (
    <>
      <div className='flight-card'>
        <span>{flight.id}</span>
        {extraInfo && <span>Departure Time: {new Date(flight.departureTime).toLocaleString()}</span>}
        {extraInfo && <span>Arrival Time: {new Date(flight.arrivalTime).toLocaleString()}</span>}
        <span className='flight-path'>{airportCode(flight.origin)} - {airportCode(flight.destination)}</span>
        <span>{flight.origin} - {flight.destination}</span>
        <Link to={'/flight/' + flight.id}>View Flight</Link>
      </div>
    </>
  );
}

export default FlightCard;
