import { useLoaderData } from 'react-router-dom';
import { IFlight } from '../../services/Dashboard/CustomerDashboard';
import FlightCard from '../Dashboard/FlightCard/FlightCard';
import './FlightList.scss';

interface IFlightList {
  $values: IFlight[];
}

function FlightList() {
  const data = useLoaderData() as IFlightList | null;
  const flights = data?.$values ?? [];

  return (
    <>
      <div className='full-flight-list'>
        <div className='card full-flight-list-card'>
          {
            flights.map((flight) => {
              return (
                <FlightCard key={flight.id} flight={flight} extraInfo={true} />
              );
            })
          }
        </div>
      </div>
    </>
  );
}

export default FlightList;
